%define name 	childsplay
%define version 0.80.1.1
%define release 1mdk

%define pluginsver 0.80
# look in childsplay-plugins-0.xx/install.sh for variable $SCORE
%define score 	Packid,Numbers

Summary: 	Games for children with plugins
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://prdownloads.sourceforge.net/childsplay/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/childsplay/%{name}_plugins-%{pluginsver}.tar.bz2
Patch0:		childsplay.INSTALL.SH.patch.bz2
Patch1:		childsplay.CPConstants.patch.bz2
URL: 		http://childsplay.sourceforge.net/
License: 	GPL
Group: 		Games/Other
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python-devel 
Requires: 	pygame
Buildarch:	noarch

%description
Childsplay is a 'suite' of educational games for young children. It's written
in Python and uses the SDL-libraries to make it more games-like then, for
instance, gcompris. The aim is to be educational and at the same time be fun
to play.

NOTE: This package includes all games currently available for childsplay.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -b 1

%patch0 -p 1
%patch1 -p 1

%build
%install
rm -rf $RPM_BUILD_ROOT
# fix python compile error
perl -p -i -e 's/quiet\=1//g' install.py

#install main
mkdir -p %buildroot/%_bindir
echo "#!/bin/sh" > $RPM_BUILD_ROOT/usr/bin/childsplay
echo "python %_libdir/%name/childsplay.py \$$*" >> $RPM_BUILD_ROOT/usr/bin/childsplay
chmod +x $RPM_BUILD_ROOT/usr/bin/childsplay
mkdir -vp $RPM_BUILD_ROOT/%_libdir/%name
cp -rf *.py $RPM_BUILD_ROOT/%_libdir/%name
cp -rf Data $RPM_BUILD_ROOT/%_libdir/%name
chmod 0666 $RPM_BUILD_ROOT/%_libdir/%name/Data/*score
cp -rf lib $RPM_BUILD_ROOT/%_libdir/%name
mkdir -p $RPM_BUILD_ROOT/%_mandir/man6
cp -rf man/childsplay.6.gz $RPM_BUILD_ROOT/%_mandir/man6
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale
cp -rf locale/* $RPM_BUILD_ROOT/%_datadir/locale

# compile bytecode
python install.py --compile %_libdir/%name
python install.py --compile %_libdir/%name/lib
python install.py --makedir %_libdir/%name/lib

# fix symlinks
#rm -f $RPM_BUILD_ROOT/%_libdir/%name/lib/LettersData/*
#cp $RPM_BUILD_ROOT/%_libdir/%name/lib/MemoryData/* $RPM_BUILD_ROOT/%_libdir/%name/lib/LettersData/

cp -rf assetml $RPM_BUILD_ROOT/usr/share
# install plugins
pushd ../%{name}_plugins-%pluginsver
python $RPM_BUILD_ROOT/%_libdir/%name/install.py --compile `pwd`/lib
cp -rf `pwd`/lib/* $RPM_BUILD_ROOT/%_libdir/%name/lib
cp -rf `pwd`/Data/*.icon.png $RPM_BUILD_ROOT/%_libdir/%name/Data/icons
#cp -rf `pwd`/locale/* $RPM_BUILD_ROOT/%_datadir/locale
#python add-score.py $RPM_BUILD_ROOT/%_libdir/%name %score
cp -rf assetml $RPM_BUILD_ROOT/usr/share

#fix lang files atributes
chmod 644 $RPM_BUILD_ROOT%_datadir/locale/fr/LC_MESSAGES/*
#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="amusement_section.png" needs="x11" title="Childsplay" longtitle="Games for kids" section="More Applications/Games/Other"
EOF
popd
%find_lang %{name}
chmod ugo+r -R doc/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/*
%_bindir/%name
%_libdir/%name
#%_datadir/locale/*/LC_MESSAGES/*.mo
%_datadir/assetml/%name/
%_mandir/man6/*
%_menudir/%name

%changelog
* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.80.1.1-1mdk
- 0.80.1.1

* Fri Jan 14 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.80.1-1mdk
- 0.80.1
- fix locations (patch0, patch1)

* Mon Dec 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- update main and plugins to 0.80

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.72-1mdk
- update main and plugins to 0.72

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.71-1mdk
- update main and plugins to 0.71

* Wed Jun  9 2004 Michael Scherer <misc@mandrake.org> 0.70-1mdk
- New release 0.70
- rpmbuildupdate aware
- new menu

* Mon Dec 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.69-1mdk
- update main and plugins to 0.69-2
- fix some paths during install

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.68-1mdk
- 0.68

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.66-2mdk
- fix icon

* Tue Mar 4 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- 0.66

* Thu Feb 6 2003 Austin Acton <aacton@yorku.ca> 0.65-1mdk
- initial package
